# DataExchange
TKSTEPBase
StepShape

# StepShape_LimitsAndFits Class Reference

Added for Dimensional Tolerances
.

`#include <StepShape_LimitsAndFits.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_LimitsAndFits ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&form_variance, const Handle(TCollection_HAsciiString)&zone_variance, const Handle(TCollection_HAsciiString)&grade, const Handle(TCollection_HAsciiString)&source)
Standard_EXPORT Handle_TCollection_HAsciiString | FormVariance () const
Standard_EXPORT void | SetFormVariance (const Handle(TCollection_HAsciiString)&form_variance)
Standard_EXPORT Handle_TCollection_HAsciiString | ZoneVariance () const
Standard_EXPORT void | SetZoneVariance (const Handle(TCollection_HAsciiString)&zone_variance)
Standard_EXPORT Handle_TCollection_HAsciiString | Grade () const
Standard_EXPORT void | SetGrade (const Handle(TCollection_HAsciiString)&grade)
Standard_EXPORT Handle_TCollection_HAsciiString | Source () const
Standard_EXPORT void | SetSource (const Handle(TCollection_HAsciiString)&source)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theFormVariance
Handle_TCollection_HAsciiString | theZoneVariance
Handle_TCollection_HAsciiString | theGrade
Handle_TCollection_HAsciiString | theSource

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_LimitsAndFits::StepShape_LimitsAndFits | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepShape_LimitsAndFits::FormVariance | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepShape_LimitsAndFits::Grade | ( |  | ) | const

Standard_EXPORT const StepShape_LimitsAndFits::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_LimitsAndFits::Init | ( | const Handle(TCollection_HAsciiString)& | form_variance,
|  | const Handle(TCollection_HAsciiString)& | zone_variance,
|  | const Handle(TCollection_HAsciiString)& | grade,
|  | const Handle(TCollection_HAsciiString)& | source
| ) |

Standard_EXPORT void StepShape_LimitsAndFits::SetFormVariance | ( | const Handle(TCollection_HAsciiString)& | form_variance | ) |

Standard_EXPORT void StepShape_LimitsAndFits::SetGrade | ( | const Handle(TCollection_HAsciiString)& | grade | ) |

Standard_EXPORT void StepShape_LimitsAndFits::SetSource | ( | const Handle(TCollection_HAsciiString)& | source | ) |

Standard_EXPORT void StepShape_LimitsAndFits::SetZoneVariance | ( | const Handle(TCollection_HAsciiString)& | zone_variance | ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepShape_LimitsAndFits::Source | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepShape_LimitsAndFits::ZoneVariance | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepShape_LimitsAndFits::theFormVariance `[private]`

Handle_TCollection_HAsciiString StepShape_LimitsAndFits::theGrade `[private]`

Handle_TCollection_HAsciiString StepShape_LimitsAndFits::theSource `[private]`

Handle_TCollection_HAsciiString StepShape_LimitsAndFits::theZoneVariance `[private]`

The documentation for this class was generated from the following file:

- StepShape_LimitsAndFits.hxx